POST api/Orders/ResendConfirmation_v1

Request Information

URI Parameters

None.

Body Parameters

OrderConfirmationEmailViewModel
NameDescriptionTypeAdditional information
OrderId

integer

None.

SendToBuyer

boolean

None.

SendToSeller

boolean

None.

Request Formats

application/json, text/json

Sample:
{
  "orderId": 1,
  "sendToBuyer": true,
  "sendToSeller": true
}

application/xml, text/xml

Sample:
<OrderConfirmationEmailViewModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/ncdc.api.ViewModels">
  <OrderId>1</OrderId>
  <SendToBuyer>true</SendToBuyer>
  <SendToSeller>true</SendToSeller>
</OrderConfirmationEmailViewModel>

multipart/form-data

Sample:
<OrderConfirmationEmailViewModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/ncdc.api.ViewModels"><OrderId>1</OrderId><SendToBuyer>true</SendToBuyer><SendToSeller>true</SendToSeller></OrderConfirmationEmailViewModel>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json, application/xml, text/xml, multipart/form-data

Sample:

Sample not available.